# Enable debug mode
%define debug 0

Name:		xsane
Version:	0.999
Release:	%mkrel 9
Summary:	Frontend for the SANE scanner interface
Group:		Graphics/Scanning
URL:		http://www.xsane.org/
Source:		ftp://ftp.sane-project.org/pub/sane/xsane/%{name}-%version.tar.gz
Patch0:		xsane-0.995-xdg-open.patch
Patch1:		xsane-0.995-close-fds.patch
Patch2: 	xsane-0.996-no-eula.patch
Patch3:		xsane-0.997-off-root-build.patch
Patch4:		xsane-0.999-no-file-selected.patch
Patch5:		xsane-0.997-ipv6.patch
Patch6:		xsane-0.998-preview-selection.patch
Patch7:		xsane-0.998-libpng.patch
Patch8:		xsane-0.998-wmclass.patch
Patch9: 	xsane-desktop.patch
Patch10:	xsane-0.999-man-page.patch
Patch11:	xsane-0.999-pdf-no-high-bpp.patch
Patch12:	xsane-0.999-lcms2.patch
Patch13:	xsane-0.999-coverity.patch
Patch14:	xsane-0.999-snprintf-update.patch
Patch15:	xsane-0.999-signal-handling.patch

License:	GPLv2+
Requires:	libsane >= 1.0.4
# Contains "www-browser" script
Requires:	desktop-common-data
# This is for the drakxtools so that they can install a GUI for scanning
# but decide depending on the system environment which GUI actually to
# install
Provides:       scanner-gui
BuildRequires:	sane-devel
BuildRequires:	libjpeg-devel
BuildRequires:	gimp-devel >= 2.0
BuildRequires:	imagemagick
BuildRequires:  lcms2-devel
BuildRequires:  libtiff-devel
BuildRequires:  libgphoto-devel
BuildRequires:  libv4l-devel
Recommends:	gocr

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary: 	GIMP plug-in which provides the SANE scanner interface
Group: 		Graphics/Scanning
Requires: 	sane >= 1.0, %{name} >= %{version}
 
%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP 2.0 plug-in.  You must have GIMP 2.0 (or
newer) installed to use this package.

%prep
%setup -q
%patch0 -p1 -b .xdg-open
%patch1 -p1 -b .close-fds
#%patch2 -p1 -b .no-eula
%patch3 -p1 -b .off-root-build
%patch4 -p1 -b .no-file-selected
%patch5 -p1 -b .ipv6
%patch6 -p1 -b .preview-selection.patch
%patch7 -p1 -b .libpng
%patch8 -p1 -b .wmclass
%patch9 -p1 -b .desktop-file
%patch10 -p1 -b .man-page
%patch11 -p1 -b .pdf-no-high-bpp
%patch12 -p1 -b .lcms2
%patch13 -p1 -b .coverity
%patch14 -p1 -b .snprintf-update
%patch15 -p1 -b .signal-handling

%build
%if %debug
export DONT_STRIP=1
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x 
%else
%configure2_5x 
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make
mv src/xsane src/xsane-gimp

make clean
%if %debug
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x  --disable-gimp
%else
%configure2_5x  --disable-gimp
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make

%install
%if %debug
export DONT_STRIP=1
%endif

%makeinstall_std
install src/xsane-gimp %{buildroot}%{_bindir}
%find_lang %{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
mv src/xsane-48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=%_bindir/xsane
Terminal=false
Icon=%{name}
Type=Application
EOF

%files -f %{name}.lang
%doc xsane*
%config(noreplace) %{launchers}/%{name}.desktop
%{_bindir}/xsane
%dir %{_datadir}/sane
%{_datadir}/sane/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/*

%post
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %{launchers}/%{name}.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %{launchers}/%{name}.desktop 30

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove scanner.gnome.dynamic %{launchers}/%{name}.desktop
fi

%files gimp
%doc xsane*
%{_bindir}/xsane-gimp

%post gimp
if [ -d %_libdir/gimp ]; then
  GIMPDIR=`ls -d %_libdir/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %{__ln_s} -f %_bindir/xsane-gimp $i/plug-ins/xsane
  done
fi
 
%postun gimp
if [ $1 = 0 ]; then
  if [ -d %_libdir/gimp ]; then
    GIMPDIR=`ls -d %_libdir/gimp/[012]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %{__rm} -f $i/plug-ins/xsane
        done
  fi
fi




%changelog
* Fri Mar 10 2017 akien <akien> 0.999-9.mga6
+ Revision: 1091643
- Rebuild for v4l-utils 1.12.3

* Wed Feb 17 2016 umeabot <umeabot> 0.999-8.mga6
+ Revision: 963652
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 zezinho <zezinho> 0.999-7.mga6
+ Revision: 879483
- recommends gocr #2896

* Mon Sep 14 2015 zezinho <zezinho> 0.999-6.mga6
+ Revision: 879245
- better icon

* Thu Jan 08 2015 alexl <alexl> 0.999-5.mga5
+ Revision: 809256
- added GenericName in desktop file

* Wed Nov 26 2014 alexl <alexl> 0.999-4.mga5
+ Revision: 799343
- add translations for desktop file from Mandriva and OpenSuse

* Wed Oct 15 2014 umeabot <umeabot> 0.999-3.mga5
+ Revision: 740787
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.999-2.mga5
+ Revision: 690767
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 spuhler <spuhler> 0.999-1.mga5
+ Revision: 659151
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms
- upgrade to vers. 0.999
- added patches from Fedora that have been accepted upstream
- removed unrecognized option --with-install-root=%%{buildroot}
- update from Fedora

* Sat Oct 19 2013 umeabot <umeabot> 0.998-5.mga4
+ Revision: 526231
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.998-4.mga4
+ Revision: 436265
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 0.998-3.mga3
+ Revision: 387380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.998-2.mga3
+ Revision: 307412
- update rpm group

* Sun Dec 25 2011 fwang <fwang> 0.998-2.mga2
+ Revision: 187456
- rebuild for new libtiff

* Fri Sep 16 2011 fwang <fwang> 0.998-1.mga2
+ Revision: 144208
- fix libpng 1.5

  + tv <tv>
    - drop patch 2 (merged upstream)

* Thu Apr 14 2011 tv <tv> 0.998-1.mga1
+ Revision: 84892
- disable patch 2 (gcc-4.4)
- new release

* Thu Feb 10 2011 spuhler <spuhler> 0.997-3.mga1
+ Revision: 49630
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package xsane

